namespace ChuPiao.Common.Enums
{
    /// <summary>
    /// 系统配置值ID
    /// </summary>
    [EnumDescription("系统配置键值")]
    public enum SysConfigType
    {
        [EnumDescription("胜负彩是否启用多期出票模式")]
        SfMoreExpectChuPiao = 601000001,
        [EnumDescription("机器兑奖的最大金额")]
        MachineEncashMaxMoney = 999000001,
        [EnumDescription("彩票机最低额度")]
        MinMachineMoney = 100000001,
        [EnumDescription("订单优先分配出票")]
        FirstOrderPrint = 200000001,
        [EnumDescription("彩票机最大分配任务数")]
        MaxNumberDivided = 500000001,
        [EnumDescription("彩票机最小分配任务数")]
        MinNumberDivided = 500000002,
        [EnumDescription("非出票时段禁止撤单操作")]
        LimitCancelOperate = 1002,
        [EnumDescription("限号偏移分钟")]
        LimitCodeMinuOffset = 399,
        [EnumDescription("分配票是否按月销量")]
        IsAllocateByMonthSaled = 66601,
        [EnumDescription("月销量任务是多少")]
        MonthSaledTask = 66602,
        [EnumDescription("每分钟产能是多少")]
        TicketPerMin = 66603,
        [EnumDescription("临截止的几分钟内平均分配票")]
        MinBeforeEndTime = 66604
    }
}
